@import '../../../../../styles/global/var';

.integration-card {
    height: 152px;
    width: 192px;
    box-shadow: 0px 2px 1px rgba(0, 0, 0, 0.12), 0px 1px 1px rgba(0, 0, 0, 0.14), 0px 1px 3px rgba(0, 0, 0, 0.2);
    border-radius: 4px;
    background-color: $white;

    &._disabled {
        opacity: 0.45;
        pointer-events: none;
    }

    & a:hover {
        text-decoration: none;

        .integration-card {
            &__image {
                &-hover {
                    opacity: 1;
                }
            }
        }
    }

    &__wrapper {
        display: flex;
        flex-direction: column;
    }

    &__image {
        font-size: 64px;
        height: 64px;
        width: 64px;
        min-height: 64px;
        min-width: 64px;

        &-container {
            display: flex;
            align-items: center;
            justify-content: center;
        }

        &-wrapper {
            position: relative;
            height: 64px;
            width: 64px;
            margin: 24px 0 8px;
        }

        &-hover {
            position: absolute;
            top: -2px;
            left: -2px;
            height: 68px;
            width: 68px;
            border-radius: 50%;
            background-color: #D5F2ED;
            opacity: 0;
            display: flex;
            align-items: center;
            justify-content: center;
            transition: opacity .25s ease;

            & .material-icons {
                width: 32px;
                height: 32px;
                min-width: 32px;
                min-height: 32px;
                font-size: 32px;
                color: $black;
            }
        }
    }

    &__name {
        text-align: center;
        font-weight: 700;
        font-size: 18px;
        line-height: 32px;
        color: $black;
    }
}

@media (max-width: $screen-sm-min) { // 768
    .integration-card {
        width: 216px;
        height: 152px;
    }
}

@media (max-width: $breakpoint-mobile - 1) { // 600
    .integration-card {
        width: 163px;
        height: 112px;

        &__image {
            font-size: 48px;
            height: 48px;
            width: 48px;
            min-height: 48px;
            min-width: 48px;

            &-wrapper {
                height: 48px;
                width: 48px;
            }

            &-hover {
                display: none;
            }
        }

        &__name {
            font-size: 16px;
            line-height: 24px;
        }
    }
}
